<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-154 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="50" valign="bottom" background="images/b01.gif"><div align="right"><img src="images/001.gif" width="11" height="11"/></div></td>
    <td valign="bottom" background="images/b01.gif" style="padding-top:20px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td background="images/001_2.gif" style="background-position:bottom;background-repeat:repeat-x;padding-right:12px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="188"></td>
            <td background="images/top.gif" bgcolor="#FFFFFF" style="background-position:bottom;background-repeat:repeat-x;padding:10px;">
			<!-- MENU -->
			<table  border="0" align="center" cellpadding="0" cellspacing="0" height="40">
              <tr>
			  <td width="8"></td>
                <xsl:call-template name="TOP-MENU"/>
              </tr>
            </table>
			<!-- END MENU -->
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td align="left" valign="bottom" background="images/b01.gif"><img src="images/001_1.gif"/></td>
  </tr>
  <tr>
    <td height="215" valign="top" background="images/008_4.gif"><div align="right"><img src="images/001_3.gif" width="51" height="215"/></div></td>
    <td height="215" valign="top" background="images/b02.gif" style="background-position:bottom;background-repeat:repeat-x;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="188" valign="bottom"><img src="images/002.gif" width="188" height="15"/></td>
        <td background="images/002_3.gif" style="background-position:bottom;background-repeat:repeat-x;"></td>
        <td align="left" valign="bottom"><img src="images/002_7.gif" width="17" height="16"/></td>
      </tr>
      <tr>
        <td width="188" background="images/002_1.gif" style="background-position:top;background-repeat:repeat-y;">
		<!-- LOGO -->
		<table width="180" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table>
		<!-- END LOGO -->
		</td>
        <td height="160" background="images/headerb.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="159" background="images/header.gif" style="background-position:bottom right;background-repeat:no-repeat;padding-left:20px;"><table width="200" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="slogan1"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td background="images/002_6.gif"></td>
      </tr>
      <tr>
        <td><img src="images/002_2.gif" width="188" height="40"/></td>
        <td background="images/002_4.gif" height="40" style="background-position:top left;background-repeat:repeat-x;" width="100%"></td>
        <td width="17"><img src="images/002_5.gif" width="17" height="40"/></td>
      </tr>
    </table></td>
    <td height="215" valign="top" background="images/008_3.gif"><img src="images/001_4.gif" width="51" height="215"/></td>
  </tr>
  <tr>
    <td width="51" valign="top" background="images/008_4.gif"></td>
    <td valign="top" background="images/b02.gif" style="background-position:bottom;background-repeat:repeat-x"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="100%" valign="top" background="images/b03.gif" style="padding-left:30px;padding-right:30px;background-position:top;background-repeat:repeat"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="175" valign="top">
				<!-- SUBMENU -->
				<table width="160" border="0" cellspacing="0" cellpadding="0">
                    <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table>
				<!-- END SUBMENU -->
				</td>
                <td width="1" bgcolor="#A6ABA5"></td>
                <td height="100%" valign="top">
				<!-- CONTENT -->
				<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td width="100%" height="100%">

            <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td class="pageContent">
<table  border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td><img src="images/005.gif" width="17" height="17"/></td>
                          </tr>
                        </table><br/>

	</td>
</tr>
<tr>
	<td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table></td>
                    </tr>
                </table><!-- END CONTENT --></td>
              </tr>
            </table></td>
            </tr>
          <tr>
            <td height="30" valign="top"></td>
          </tr>
          <tr>
            <td valign="top"></td>
          </tr>
          <tr bgcolor="#A6ABA5">
            <td height="1"></td>
          </tr>
          <tr>
            <td style="padding-top:20px;padding-bottom:20px;">
				<!-- BOTTOM MENU -->
			<table  border="0" align="center" cellpadding="0" cellspacing="0" height="48">
              <tr>
                <xsl:call-template name="BOTTOM-MENU"/>
					  
                
              </tr>
            </table>	<!-- END BOTTOM MENU --></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="51" valign="top" background="images/008_3.gif"></td>
  </tr>
  <tr>
    <td height="11" valign="top" background="images/bd.gif"><div align="right"><img src="images/008.gif" width="11" height="11"/></div></td>
    <td background="images/008_1.gif" style="background-position:top;background-repeat:repeat-x;"></td>
    <td height="11" align="left" valign="top" background="images/bd.gif"><img src="images/008_2.gif" width="11" height="11"/></td>
  </tr>
  <tr>
    <td background="images/bd.gif"></td>
    <td height="80" background="images/bd.gif"><!-- FOOTER --><table width="500"  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table><!-- END FOOTER --></td>
    <td background="images/bd.gif"></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


 <tr>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td class="s1"><img src="images/004.gif"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td ><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td class="s1"><img src="images/004.gif"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr >
<td colspan="2" background="images/003.gif" style="background-position:left; background-repeat:repeat-x" height="20"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >


<td class="bmenu"><div align="center"><img src="images/006.gif"/><br/>
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
           </xsl:when>
           <xsl:otherwise>


<td ><div align="center"><img src="images/006.gif"/><br/>
<a  href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="5"></td>
 <td width="20" background="images/007.gif" style="background-position:top;background-repeat:repeat-y"></td>
 <td width="5"></td>
</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
