<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no" />
	<xsl:strip-space elements="*" />
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM" mode="top" />
	</xsl:template>
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- active menu with link-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td valign="center" align="center">
					<table border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="9"  valign="bottom">
								
									<img src="images/bullet_active.gif" hspace="5"/>
								
							</td>
							<td>
								<img src="" width="3px" height="1px" />
							</td>
							<td valign="center" align="center">
								<a href="{@HREF}" class="amenu">
									<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
								</a>
							</td>
						</tr>
					</table>
				</td>
			</xsl:when>
			<!-- active menu without link-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td valign="center" align="center">
					<table border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="9" valign="bottom">
								
									<img src="images/bullet_active.gif" hspace="5"/>
								
							</td>
							<td>
								<img src="" width="3px" height="1px" />
							</td>
							<td class="abmenu" valign="center" align="center">
								<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
							</td>
						</tr>
					</table>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td valign="center" align="center">
					<table border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="9" valign="bottom">
								
									<img src="images/bullet.gif" hspace="5" />
								
							</td>
							<td>
								<img src="" width="3px" height="1px" />
							</td>
							<td valign="center" align="center">
								<a href="{@HREF}" class="menu">
									<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
								</a>
							</td>
						</tr>
					</table>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td height="42" valign="bottom">
				<img src="images/menu_line.gif" hspace="15" />
			</td>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
