<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no" />
	<xsl:strip-space elements="*" />
	<xsl:include href="buttons.xsl" />
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID" />
		<HTML>
<!-- av-164 -->
			<head>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
				<xsl:apply-templates select="META-TAGS" />
				<link href="css/styles.css" rel="stylesheet" type="text/css" />
			</head>
			<body background="images/lbg.gif" style="	margin-left: 0px;margin-top: 17px;margin-right: 0px;margin-bottom: 5px; ">
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="70"><img name="" src="" width="70" height="1" alt=""/></td>
                <td height="100%">
          <table height="100%" width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<td width="100%">
										<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/header_bg.jpg"
											style="background-repeat:repeat-x;background-position:center left">
											<tr>
												<td width="26">
													<img src="images/header_01.jpg" width="26" height="195" />
												</td>
												<td width="100%" align="left" valign="center" background="images/header.jpg" style="background-position:top right;background-repeat:no-repeat;background-repeat:no-repeat;padding-left:20px;">
													<table border="0" cellpadding="0" cellspacing="0">
														<tr>
															<img src="" width="587" height="1" />
														</tr>
														<tr>
															<td style="padding-left:20px;">																
																	<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a>																
															</td>
														</tr>
														<tr>
															<td class="company">																
																	<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>															
															</td>
														</tr>
														<tr>
															<td class="slogan">																
																	<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>																
															</td>
														</tr>
													</table>
												</td>
												<td width="28" background="images/header_03.jpg">
													<img src="" width="28" height="1" />
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td width="100%" height="66" align="center">
										<table height="66" border="0" align="center" cellpadding="0" cellspacing="0">
											<tr>
												<td width="31">
													<p>
														<img src="images/menu_01.gif" width="31" height="66" />
													</p>
												</td>
												<td width="100%" background="images/menu_bg.gif" align="center">
													<table border="0" align="center" cellpadding="0" cellspacing="0">
														<xsl:call-template name="TOP-MENU" />
													</table>
												</td>
												<td width="28">
													<img src="images/menu_02.gif" width="28" height="66" />
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td height="26">
										<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
											<tr>
												<td width="26" background="images/content_01b.gif">
													<img src="images/content_01.gif" width="26" height="26" />
												</td>
												<td width="100%" height="26" background="images/content_01b.gif">
												<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td width="149"><img name="" src="" width="1" height="1" alt="" /> </td>
                          <td width="1" bgcolor="#CCCCCC"><img src="images/sp.gif" width="1" height="1"/></td>
                          <td><img name="" src="" width="1" height="1" alt="" /> </td>
                        </tr>
                      </table></td>
												<td width="25" align="right">
													<div align="right">
														<img src="images/content_02.gif" width="25" height="26" />
													</div>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td height="100%">
										<table height="100%" width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
											<tr>
												<td width="26" background="images/contenth_bg.gif"></td>
												<td width="147" valign="top" bgcolor="#FFFFFF">
													<table width="100%" border="0" cellspacing="0" cellpadding="0">
														<tr>
															<td>
																<img src="" width="175" height="1" alt="" />
															</td>
														</tr>
														<tr>
															<td>
																<table width="100%" border="0" cellspacing="0" cellpadding="10">
																	<tr>
																		<td height="30" style="padding-left:30px;padding-right:30px;">
																			<table width="100%" border="0" cellspacing="0" cellpadding="0">
																				<xsl:call-template name="SUB-MENU">
																					<xsl:with-param name="pageID" select="@ID" />
																				</xsl:call-template>
																			</table>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
												</td>
												<td width="1" bgcolor="#cccccc">
													<img name="" src="" width="1" height="1" alt="" />
												</td>
												<td width="100%" height="100%" valign="top" bgcolor="#FFFFFF" style="padding-left:25px;padding-right:30px;padding-bottom:20px;  "><table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes" /> </td>
                          <td width="25" class="text-header"><div align="right"> <img src="images/t_icon.gif" width="20" height="19" /> </div></td>
                        </tr>
                      </table>                        
                        <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr>
                            <td height="100%" width="100%" name="SB_stretch" class="pageContent" valign="top"><xsl:apply-templates select="PAGE-CONTENT" /> </td>
                          </tr>
                        </table></td>
												<td width="26" background="images/contenth_bg1.gif">
													<img name="" src="" width="25" height="1" alt="" />
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td height="26">
										<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
											<tr>
												<td width="26" background="images/content_01b.gif">
													<img src="images/content_03.gif" width="26" height="26" />
												</td>
												<td width="100%" height="26" background="images/content_03b.gif">
												<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td width="149"><img name="" src="" width="1" height="1" alt="" /> </td>
                          <td width="1" bgcolor="#CCCCCC"></td>
                          <td><img name="" src="" width="1" height="1" alt="" /> </td>
                        </tr>
                      </table></td>
												<td width="25" align="right">
													<div align="right">
														<img src="images/content_04.gif" width="26" height="26" />
													</div>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td height="56" align="center">
										<table width="100%" height="56" border="0" cellpadding="0" cellspacing="0">
											<tr>
												<td width="28" height="56" valign="top">
													<img src="images/bmenu_01.gif" width="28" height="56" />
												</td>
												<td height="56" valign="top" background="images/bmenu_bg.gif" style="padding-left:20px;padding-right:20px;">
													<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
														<tr>
															<td>
																<img src="" width="1" height="12" />
															</td>
														</tr>
														<tr>
															<td class="bmenu" align="center">
																<table border="0" cellspacing="0" cellpadding="0">
																	<xsl:call-template name="BOTTOM-MENU" />
																</table>
															</td>
														</tr>
													</table>
												</td>
												<td height="56" width="29" valign="top">
													<img src="images/bmenu_02.gif" width="29" height="56" />
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td colspan="3" height="40">
										<div align="center" class="footer">
											<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
										</div>
									</td>
								</tr>
				  </table>
				</td>
                <td width="70"><img name="" src="" width="70" height="1" alt=""/></td>
              </tr>
            </table>
			</body>
		</HTML>
	</xsl:template>
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top" />
	</xsl:template>
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID" />
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="sub">
		<xsl:choose>
			<xsl:when test="@ID=/LAYOUT/@ID">
				<tr>
					<td>
						<img src="images/submenu_bullet.gif" border="0" alt="" />
					</td>
					<td class="asubmenu" style="padding-left: 5px; width: 100%;">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>
						<td>
							<a href="{@HREF}">
								<img src="images/submenu_bullet.gif" border="0" alt="" />
							</a>
						</td>
						<td style="padding-left: 5px; width: 100%;">
							<a href="{@HREF}" class="submenu">
								<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
							</a>
						</td>
					</tr>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr>
				<td colspan="2" height="20">
					<div style="height:3px; background-color: #B4B4B4; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;">
						<span></span>
					</div>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="bottom">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td align="center">
					<a href="{@HREF}" class="abmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td class="abmenu" align="center">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td align="center">
					<a href="{@HREF}" class="bmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td>
				<img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;" />
			</td>
			<td width="5"></td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content">
				<xsl:value-of select="." disable-output-escaping="yes"/>
			</xsl:attribute>
		</meta>
	</xsl:template>
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
</xsl:stylesheet>
