<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			
<!-- menu with link -->
<tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        
        <td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td width="8" align="right"><img src="images/bullet.gif"/></td>
      </tr>
    </table></td>
    </tr>
<!--end-->
			  
			
            </xsl:when>
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
<!-- menu without link-->			
<tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        
        <td><span class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<td width="8" align="right"><img src="images/bullet.gif"/></td>
      </tr>
    </table></td>
    </tr>
<!--end-->
			  
            
			</xsl:when>
            <xsl:otherwise>
			
<!-- menu click link -->			
<tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        
        <td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td width="8" align="right"><img src="images/bullet.gif"/></td>
      </tr>
    </table></td>
    </tr>
<!--end-->
			  
			  
        </xsl:otherwise>
		</xsl:choose>
        <xsl:if test="position()!=last()">
<!-- menu no last-->
<tr>
    <td height="15" align="left"  style="background-image: url('images/menu_line.jpg');background-position: left center;background-repeat: no-repeat;"></td>
  </tr>		
<!--end-->		
		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
