<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-074 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/body_bg.gif');background-position:left;background-repeat: repeat;">
    <tr>
        <td>        
<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/body_topbg.gif');background-position:left top;background-repeat: repeat-x;">
 <tr>
  <td valign="top" style="background-image: url('images/body_botbg.gif');background-position:left bottom;background-repeat: repeat-x;"><table border="0" cellpadding="0" cellspacing="0" style="height:100%;width:100%;">
 <tr>
  <td height="238" valign="top"><table width="100%" height="238" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td width="253" align="right"><img src="images/blank.gif" width="253" height="1"/><!-- LOGO -->
  <table cellpadding="0" cellspacing="0">
    <tr><td width="20" align="center"></td>
      <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                    <td width="20" align="center"></td>
    </tr>
    <tr><td width="20" align="center"></td>
      <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                    <td width="20" align="center" class="company"></td>
    </tr>
    <tr><td width="20" align="center"></td>
      <td align="center" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                    <td width="20" align="center" valign="top" class="slogan"></td>
    </tr>
  </table>
  <!-- END LOGO --></td>
      <td align="left"><img src="images/header.jpg" width="527" height="238"/></td>
    </tr>
  </table></td>
 </tr>
 <tr>
   <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td width="60"><div style="height:25px;width:60px;"></div></td>
       <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
         <tr>
           <td width="193" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
             <tr>
               <td height="10"></td>
             </tr>
             <tr>
               <td style="background-image: url('images/menu_bg.jpg');background-position:left;background-repeat: repeat-y;padding-left:28px;padding-right:28px;padding-top:25px;padding-bottom:25px;"><!-- MENU --><table width="137" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="TOP-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
</table>

                    <!-- END MENU --></td>
             </tr>
             <tr>
               <td height="100" style="background-image: url('images/submenu_bg.jpg');background-position:right top;background-repeat: no-repeat;padding-left:28px;padding-right:28px;padding-top:25px;padding-bottom:25px;"><!-- SUBMENU --><table width="132" border="0" cellspacing="0" cellpadding="0">
 <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
</table>

                      <!-- END SUBMENU --></td>
             </tr>
           </table></td>
           <td valign="top" style="background-image: url('images/txt_bg.gif');background-position:left;background-repeat: repeat;"><img src="images/txt_head.jpg" width="336" height="25"/><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.jpg"/></td>
                    </tr>
                  </table>
                <div style="height:20px;"></div>
                <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>                <!-- END CONTENT --></td>
      </tr>
    </table></td>
         </tr>
       </table></td>
       <td width="60"><div style="height:25px;width:60px;"></div></td>
     </tr>
   </table></td>
 </tr>
 <tr>
   <td align="center" valign="middle"><table width="100%" border="0" cellspacing="0" cellpadding="0">
     <tr>
       <td width="60"><div style="height:25px;width:60px;"></div></td>
       <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
         <tr>
           <td width="193"></td>
           <td align="center"><div style="height:25px;width:px;"></div><!-- BOTTOM MENU -->
          <table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
              <!-- END BOOTTOM MENU --><div style="height:15px;width:px;"></div><!-- FOOTER -->
						<div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER --><div style="height:25px;width:px;"></div></td>
         </tr>
       </table></td>
       <td width="60"><div style="height:25px;width:60px;"></div></td>
     </tr>
   </table></td>
 </tr>
</table></td>
 </tr>
</table>
        </td>
    </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->	
      <tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="8" class="iconleft"><img src="images/submenu_bullet.jpg"/></td>
        <td><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
      </tr>
    </table></td>
  </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->
	  <tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="8" class="iconleft"><img src="images/submenu_bullet.jpg"/></td>
        <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
    </table></td>
    </tr>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      <tr>
    <td height="20" align="right"><img src="images/submenu_line.jpg"/></td>
  </tr>
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        <td width="15" align="left" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="middle" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
        <td width="15" align="left" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="middle" class="menutable"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td width="15" align="left" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="middle" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
