<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-095 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px; background-color: #170E07; ">
<table  width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#170E07" >
  <tr>
    <td >
<table  width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0"  style="background-image: url(images/diwen-1.jpg);background-position: left top; background-repeat: no-repeat;">
  <tr>
    <td >
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url(images/diwen.jpg); background-position: left  bottom; background-repeat: no-repeat;" >
  <tr>
    <td >
<table width="100%"  height="100%" border="0" align="center" cellpadding="0" cellspacing="0" >
  <tr>
   <td><img src="images/spacer.gif" width="113" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="38" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="121" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="326" height="1" border="0"/></td>
   <td colspan="3"><img src="images/spacer.gif" width="38" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="110" height="1" border="0"/></td>
  </tr>

  <tr>
   <td rowspan="10"></td>
   <td  height="27" colspan="6"></td>
   <td rowspan="10"></td>
  </tr>
  <tr>
   <td colspan="2" align="left" background="images/headerxun.gif"><img src="images/header.gif"/></td>
   <td colspan="4" align="right" background="images/headerxun.gif">
   <table width="358" height="145" border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td align="right" background="images/logodi.gif"  style="background-image: url(images/logodi.gif); background-position: right; "><table border="0" cellpadding="0" cellspacing="0">
         <tr align="center">
           <td align="right" valign="top"></td>
         <td valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
           <td width="20" align="center" valign="top"></td>
         </tr>
         <tr>
           <td align="right" class="logo"></td>
         <td class="logo"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
           <td class="logo"></td>
         </tr>
         <tr>
           <td align="right" class="logox"></td>
         <td class="logox"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
         </tr>
       </table></td>
     </tr>
   </table></td>
  </tr>
  <tr>
   <td align="left" background="images/bulletxun.gif"><img src="images/bulletleft.gif"/></td>
   <td colspan="2" align="center" valign="middle" background="images/bulletxun.gif">
   <table border="0" cellpadding="0" cellspacing="0"  height="31">
     <tr>
       <td width="28"></td>
<xsl:call-template name="TOP-MENU"/>
       <td width="18"></td>
     </tr>
   </table></td>
   <td colspan="3" align="right" background="images/bulletxun.gif"><img src="images/bulletright.gif"/></td>
  </tr>
  <tr>
   <td colspan="2" align="left" valign="top" background="images/texttopxun.gif"><img src="images/subtop.gif"/></td>
   <td colspan="4" align="right" background="images/texttopxun.gif"><img src="images/texttop.gif"/></td>
  </tr>
  <tr>
   <td colspan="2" valign="top"  style="background-image: url(images/subbulltexun.gif); background-position: left top;  background-repeat: repeat-y; ">
   <table width="159" border="0" cellpadding="0" cellspacing="0">
     <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
     </tr>
     <tr>
       <td height="20" colspan="6" align="center" ></td>
       </tr>
     <tr>
       <td height="2"></td>
       <td width="89"></td>
       <td width="44"></td>
     </tr>
   </table></td>
   <td width="100%" height="100%" colspan="4" valign="top" background="images/textdi.gif" >
   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/textxun.gif); background-position: right top;  background-repeat: no-repeat; ">
     <tr>
       <td valign="top" width="100%" height="100%">
	   <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
         <tr >
           <td align="left" valign="top" height="21" >
		   <table height="21" border="0" cellpadding="0" cellspacing="0">
               <tr>
                 <td width="27" height="21"></td>
                 <td valign="middle"><span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                 <td valign="middle"><img src="images/text.gif" hspace="3"/></td>
               </tr>
           </table></td>
         </tr>
         <tr >
           <td valign="top" style="padding:18px 30px 10px 30px"><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>               
         </tr>
       </table></td>
     </tr>
   </table></td>
  </tr>
  <tr>
   <td colspan="2" background="images/subbo.gif"></td>
   <td colspan="4" align="right" width="100%" height="100%" background="images/textboxun.gif"><img  src="images/textbo.gif" width="351" height="31" border="0"/></td>
  </tr>
  <tr>
   <td background="images/boxun.gif"><img  src="images/boleft.gif" border="0"/></td>
   <td colspan="2" align="center"  background="images/boxun.gif">
     <table border="0" cellpadding="0" cellspacing="0">
       <tr>
         <td width="23"></td>
<xsl:call-template name="BOTTOM-MENU"/>
         <td width="19"></td>
       </tr>
     </table></td>
   <td colspan="3" align="right" background="images/boxun.gif"><img src="images/botright.gif"/></td>
  </tr>
  <tr>
    <td height="20" colspan="6" align="center"></td>
  </tr>
  <tr>
    <td colspan="6" align="center">
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="bot_menu"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="20" colspan="6" align="center"></td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
       <td class="iconleft-1" rowspan="2" align="center" ></td>
       <td  colspan="2" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
       <td width="10" class="iconleft"><img src="images/subbulltt.gif"/></td>
       <td width="6" ></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
       <td class="iconleft-1" rowspan="2" align="center" ></td>
       <td  colspan="2"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       <td width="10" class="iconleft"><img src="images/subbulltt.gif" /></td>
       <td width="6" ></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
       <td height="1" colspan="3" background="images/subbulletxun.gif"></td>
       <td width="1" ></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td align="center" class="iconfoot"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td align="center" class="iconfoot"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
<td align="center" class="iconfoot"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td class="icon"><img src="images/bobullet.gif"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
