<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-160 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td background="images/top.gif" style="background-position:bottom;background-repeat:repeat-x;"><table width="100%" height="231" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td background="images/headerb.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="231" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td><table width="100%" height="231" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="bottom" background="images/header.gif" style="background-position:left top;background-repeat:no-repeat;"><table width="100%" height="231" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td style="padding-right:37px;">
					<!-- LOGO -->
					<table width="350" border="0" align="right" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="80" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
                        <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                      </tr>
                      <tr>
                        <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                      </tr>
                    </table>
					<!-- END LOGO -->
					</td>
                  </tr>
                  <tr>
                    <td valign="bottom"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="240"></td>
                        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td valign="top" background="images/007_4.gif" style="background-position:bottom;background-repeat:no-repeat;"><img src="images/007_3.gif" width="14" height="43"/></td>
                              <td valign="bottom" background="images/007_6.gif"  style="background-position:top;background-repeat:repeat-x;padding-top:2px"><table width="100%" height="43" border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td valign="top" background="images/007_8.gif" style="background-position:bottom;background-repeat:repeat-x;">
									<!-- MENU -->
									<table height="40" border="0" cellpadding="0" cellspacing="0" align="center">
                                        <tr>
										 <td width="5"></td>
                                          <xsl:call-template name="TOP-MENU"/>
										   <td width="5"></td>
										   </tr>
                                        </table></td>
                                  </tr>
                              </table></td>
                              <td valign="top" background="images/007_5.gif" style="background-position:bottom;background-repeat:repeat-x;"><img src="images/007_7.gif" width="15" height="13"/></td>
                            </tr>
                            <tr>
                              <td width="14"><img src="images/007.gif" width="14" height="48"/></td>
                              <td background="images/007_1.gif"></td>
                              <td width="15"><img src="images/007_2.gif" width="15" height="48"/></td>
                            </tr>
                        </table><!-- END MENU --></td>
                        <td width="37"></td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" background="images/002.gif" style="background-position:bottom;background-repeat:repeat-x;padding-bottom:4px;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="240" valign="top" background="images/003.gif"><table width="240" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><!-- SUBMENU --><table width="181" border="0" align="center" cellpadding="0" cellspacing="0">
              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
              
            </table><!-- END SUBMENU --></td>
          </tr>
        </table></td>
        <td height="100%" valign="top" bgcolor="#FFFFFF" style="padding-left:1px;padding-right:1px;padding-bottom:1px;"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top" bgcolor="#F8F8F8" style="border-right-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-right-color: #C7C6C4;
	border-bottom-color: #C7C6C4;
	border-left-color: #C7C6C4;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;"><!-- CONTENT --><table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent" style="padding:20px;"> 
              <tr>
                <td><table  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td><img src="images/008.gif" width="17" height="17"/></td>
                    </tr>
                  </table>
                    <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
              </tr>
            </table><!-- END CONTENT --></td>
          </tr>
        </table></td>
        <td width="37" valign="top" background="images/003.gif" bgcolor="#FFFFFF"><img src="images/009.gif"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/001.gif" style="background-position:tottom;background-repeat:repeat-x;padding-top:15px;padding-bottom:15px;padding-left:37px;padding-right:37px;" align="center">

<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
<tr>
<td>
<!-- BOTTOM MENU -->
<table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td width="15"></td>
       <xsl:call-template name="BOTTOM-MENU"/>
        <td width="15"></td>
      </tr>
      
    </table>
	<!-- END BOTTOM MENU -->
</td>
</tr>
 <!-- FOOTER -->
 <tr>
<td  class="copyright" style="padding-top:15px;" align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</td>
</tr>

<!-- END FOOTER -->

</table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td class="s1"><img src="images/005.gif"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td><a href='{@HREF}'  class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
<td class="s1"><img src="images/005.gif"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><img src="images/006.gif"/></td>
</tr>


	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


 <td ><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>


 <td ><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="5"></td>
<td class="b1"><img src="images/004.gif"/></td>
<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
