<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-163 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td background="images/001.gif"></td>
    <td background="images/001.gif" style="padding:20px;">
	<!-- MENU -->
	<table  border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
	 <td class="t1"><img src="images/bullet.gif"/></td>
<td width="10"></td>
        <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
	<!-- END MENU -->
	</td>
    <td background="images/001.gif"></td>
  </tr>
  <tr>
    <td background="images/001.gif"></td>
    <td height="8" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="8" align="left" valign="top"><img src="images/003_3.gif" width="179" height="8"/></td>
        <td align="right" valign="top"><img src="images/003_4.gif" width="373" height="8"/></td>
      </tr>
    </table></td>
    <td background="images/001.gif"></td>
  </tr>
  <tr>
    <td valign="top"><img src="images/002.gif" width="58" height="219"/></td>
    <td background="images/header1.gif"><table width="100%" height="219"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image:url(images/header.gif);background-position:top right;background-repeat:no-repeat;padding-left:10px;" >
		<!-- LOGO -->
		<table width="200" border="0" cellspacing="0" cellpadding="4">
          <tr>
            <td style="padding-bottom:5px"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table>
		<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
    <td height="219" valign="top"><div align="right"><img src="images/002_1.gif" width="57" height="219"/></div></td>
  </tr>
  <tr>
    <td height="4" background="images/004.gif" style="background-position:top left;background-repeat:no-repeat;"></td>
    <td background="images/003.gif" style="background-position:top;background-repeat:repeat-x;"></td>
    <td height="4" background="images/004_1.gif" style="background-position:top right;background-repeat:no-repeat;"></td>
  </tr>
  <tr>
    <td valign="top" background="images/left_b.gif" style="background-position:top left;background-repeat:repeat-y;"><img src="images/004.gif"/>  </td>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="180" valign="top"><table width="180"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top" style="padding-top:10px;padding-bottom:10px;">
			<!-- SUBMENU -->
			<table width="127" border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table>
			<!-- END SUBMENU -->
			</td>
          </tr>
        </table></td>
        <td width="14" valign="top" background="images/009.gif" style="background-position:bottom;background-repeat:repeat-y;"></td>
        <td height="100%" valign="top"  style="padding-left:20px;padding-right:20px;padding-top:10px;	padding-bottom:10px;">
		<!-- CONTENT -->
		<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
          <tr>
            <td><table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                  <td><img src="images/010.gif" width="17" height="17"/></td>
                </tr>
              </table>
                <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
          </tr>
        </table>
		<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
    <td valign="top" background="images/right_b.gif" style="background-position:top right;background-repeat:repeat-y;"><div align="right"><img src="images/004_1.gif"/></div></td>
  </tr>
  <tr>
    <td height="8" background="images/left_b.gif" style="background-position:left;background-repeat:repeat-y;"></td>
    <td background="images/006.gif" style="background-position:bottom;background-repeat:repeat-x;"></td>
    <td height="8" background="images/right_b.gif" style="background-position:right;background-repeat:repeat-y;"></td>
  </tr>
  <tr>
    <td background="images/left_b.gif" style="background-position:left;background-repeat:repeat-y;"></td>
    <td style="padding-top:10px;padding-bottom:10px;">
	<!-- BOTTOM MENU -->
	<table  border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
	  <xsl:call-template name="BOTTOM-MENU"/>

      </tr>
    </table>
	<!-- END BOTTOM MENU -->
	</td>
    <td background="images/right_b.gif" style="background-position:right;background-repeat:repeat-y;"></td>
  </tr>
  <tr>
    <td valign="top" height="13" background="images/004_2.gif" style="background-position:top left;background-repeat:no-repeat;"></td>
    <td valign="top" width="100%"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="8" align="left" valign="top"><img src="images/004_4.gif" width="186" height="13"/></td>
        <td height="13" align="right" valign="top"><img src="images/004_5.gif" width="356" height="13"/></td>
      </tr>
    </table></td>
    <td valign="top" height="13" background="images/004_3.gif" style="background-position:top right;background-repeat:no-repeat;"></td>
  </tr>
  <tr>
    <td background="images/b01.gif"></td>
    <td background="images/b01.gif" style="padding-top:15px;padding-bottom:15px;">
	<!-- FOOTER -->
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table>
	<!-- END FOOTER -->
	</td>
    <td background="images/b01.gif"></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td class="s1"><img src="images/007.gif" width="5" height="7"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td class="s1"><img src="images/007.gif" width="5" height="7"/></td>
<td ><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="5"></td>
<td colspan="2"><img src="images/008.gif" width="127" height="12"/></td>
<td height="5"></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


<td><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>

<td><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td width="10"></td>
<td class="t1"><img src="images/005.gif"/></td>
<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
